×

Please see all COVID-19 updates here as some shipments may be delayed due to CDC safety and staffing guidelines. If you have an order or shipping question please refer to our Customer Support page. For technical questions please check out our Forums. Thank you for your continued support.

Member #958037

Member Since: April 21, 2017

Country: United States

  • I tried with this code in the text editor but I got this message, when trying to run it:

    Traceback (most recent call last): File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 275, in open self.fd = os.open(self.portstr, os.O_RDWR|os.O_NOCTTY|os.O_NONBLOCK) FileNotFoundError: [Errno 2] No such file or directory: '/dev/ttyS8'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/home/pi/gpsy.py", line 25, in <module> init_serial() File "/home/pi/gpsy.py", line 19, in init_serial ser.open() #open the serial port File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 278, in open raise SerialException("could not open port %s: %s" % (self._port, msg)) serial.serialutil.SerialException: could not open port 8: [Errno 2] No such file or directory: '/dev/ttyS8'

    What's the reason for this?

  • I am not using a USB, which means I don't have a COMport, if I understood correctly? Should I just delete this line then?

    I am working with a Raspberry Pi, connected to a GPS module, through 4 cables. I want to get the same mapping system as you, is this possible when working with python in Raspberry?

No public wish lists :(